# Market Data

Every price or size values should be represented with FineryMarkets internal corresponding types.

Description of all the types can be found [here](https://faq.finerymarkets.com/api-reference/data-types).

## **Market Data - Snapshot/Full Refresh\<W>**

Market Data messages are used to transmit updates related to the instrument. Each message contains data for a single symbol (instrument) only. If an invalid update is received, it is ignored and the connection will be closed.

<table><thead><tr><th width="150" align="center">Tag</th><th width="200" align="center">Name</th><th width="150" align="center">Required</th><th align="center">Example</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center">55</td><td align="center">Symbol</td><td align="center">N</td><td align="center">BTC-USD</td><td align="center">Instrument. Should match the instrument of the stream with ID StreamID&#x3C;20000></td></tr><tr><td align="center">268</td><td align="center">NoMDEntries</td><td align="center">Y</td><td align="center">1</td><td align="center">Number of entries following. 0 for empty book.</td></tr><tr><td align="center">269</td><td align="center">=> MDEntryType</td><td align="center">Y</td><td align="center">0</td><td align="center">Must be the first field of the repeating group. Entry type(see below)</td></tr><tr><td align="center">270</td><td align="center">=> MDEntryPx</td><td align="center">Y</td><td align="center">1</td><td align="center">Price, value of type Price</td></tr><tr><td align="center">271</td><td align="center">=> MDEntrySize</td><td align="center">Y</td><td align="center">1</td><td align="center">Size, value of type Size</td></tr><tr><td align="center">20000</td><td align="center">StreamID</td><td align="center">Y</td><td align="center">11e61d3e-804c-4b60-bf27-d217f086a1f9</td><td align="center">ID of a stream this update relates to</td></tr></tbody></table>

| MDEntryType | Description |
| :---------: | :---------: |
|      0      |     Bid     |
|      1      |    Offer    |

<details>

<summary>Example of the message</summary>

{% code overflow="wrap" lineNumbers="true" %}

```
8=FIX.4.4|9=489|35=W|34=2|49=<api_key>|52=20250526-14:33:53.808|56=FINERYMARKETS|268=10|269=0|270=500000000|271=500000000|269=0|270=400000000|271=400000000|269=0|270=300000000|271=300000000|269=0|270=200000000|271=200000000|269=0|270=100000000|271=100000000|269=1|270=100000000|271=100000000|269=1|270=200000000|271=200000000|269=1|270=300000000|271=300000000|269=1|270=400000000|271=400000000|269=1|270=500000000|271=500000000|20000=f7657b96-4b8c-4054-bc7a-0cb355363655|10=000
```

{% endcode %}

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/fix-api/qs-for-liquidity-providers/market-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
